public with sharing class TestConfigurePackageLanguage {
	
	//https://docs.esignlive.com/content/e_classic_application_user_s_guide/introduction/esignlive_interface.htm#Sup_Lan
	//for all abbreviations for supported languages
	public String createPackageWithLanguageConfiguration(){
    	ESignLiveSDK sdk = new ESignLiveSDK();
         
        //Create package
        ESignLiveAPIObjects.Package_x pkg = new ESignLiveAPIObjects.Package_x();
        pkg.name = 'Test Configure Package Language - ' + Datetime.now().format();
        pkg.status = ESignLiveAPIObjects.PackageStatus.SENT;
        pkg.language = 'fr';		//configure package language
        
        
        //Create Roles
        String roleId = 'signer1';
        ESignLiveAPIObjects.Role signer1 = new ESignLiveAPIObjects.Role();
        signer1.id = roleId;
		signer1.signers = sdk.createRolesSigner('John','Smith','signer1@mailinator.com','CEO','ABC Bank');
        
        pkg.roles = new List<ESignLiveAPIObjects.Role>{signer1};    //add role
        
        //Prepare Documents Blob
        String document1Name = 'Sample Document';
        StaticResource sr = [SELECT Id, Body FROM StaticResource WHERE Name = 'testdoc1' LIMIT 1];
        Map<String,Blob> documentBlobMap = new Map<String,Blob>();
        documentBlobMap.put(document1Name, sr.Body);
         
        //Create Document Metadata
        ESignLiveAPIObjects.Document document1 = new ESignLiveAPIObjects.Document();
        document1.name = document1Name;
        document1.id = 'document1';
         
        //Create Field &Approval
        ESignLiveAPIObjects.Field field = new ESignLiveAPIObjects.Field();
        field.left = 208;
        field.width = 200;
        field.height = 50;
        field.top = 518;
        field.page = 0;
        field.subtype = 'FULLNAME';
        field.type = 'SIGNATURE';
         
        List<ESignLiveAPIObjects.Field> fields = new List<ESignLiveAPIObjects.Field>();
        fields.add(field);
         
        ESignLiveAPIObjects.Approval approval1 = new ESignLiveAPIObjects.Approval();
        approval1.fields = fields;    //add field
        approval1.role = roleId;
        document1.approvals = new List<ESignLiveAPIObjects.Approval>{approval1};    //add approval
        
        pkg.documents = new List<ESignLiveAPIObjects.Document>{document1};    //add document
        
        //Send package One Step
        String packageId = sdk.createPackage(pkg,documentBlobMap);
        System.debug('PackageId: ' + packageId);
        return packageId;
    }


}